curl --request GET \
--url https://api.glass.fm/v2/action/glasscore/order/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.glass.fm/v2/action/glasscore/order/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.glass.fm/v2/action/glasscore/order/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 123,
"orderDate": "<string>",
"orderItem": [
{
"bkgd_courtRecordState": "<string>",
"bkgd_courtRecordStateFee": 123,
"c_currentStatusCodeId": "<string>",
"c_currentStatusCodeName": "<string>",
"c_hsProductSubType": "<string>",
"c_org": "<string>",
"c_personNameFirst": "<string>",
"c_personNameLast": "<string>",
"c_productName": "<string>",
"c_requireLocation": true,
"CurrentStatusId": 123,
"dropChain": "<string>",
"dropResult": "<string>",
"hsBackground": [
{
"id": 123
}
],
"hsDna": [
{
"id": 123
}
],
"hsDrug": [
{
"bkgd_courtRecordState": "<string>",
"bkgd_courtRecordStateFee": 123,
"dna_alternateSpecimenRelationship": "<string>",
"dna_numberAppointment": 123,
"dna_numberPartiesTested": 123,
"id": 123,
"isBodyHair": true,
"isObserved": true,
"isQuantitative": true,
"OrderItemId": 123,
"registrationLab": "<string>",
"registrationLabAcct": "<string>",
"registrationLabSubAcct": "<string>"
}
],
"hsVendorId": 123,
"id": 123,
"isBodyHair": true,
"isChain": true,
"isNotModifiable": true,
"isResult": true,
"ModalityId": 123,
"orderItem~child": [
{
"c_hsListNames": [
"<string>"
],
"id": 123,
"c_productName": "<string>",
"c_currentStatusCodeName": "<string>",
"dropChain": "<string>",
"dropResult": "<string>",
"isChain": true,
"isResult": true,
"ReasonId": 123,
"c_hsProductSubType": "<string>",
"ProductId": 123,
"healthComponent": [
{
"status": "<string>",
"componentDescription": "<string>",
"certStatusDescription": "<string>",
"certStatusCodeDueToReason": "<string>",
"certExpirationDate": "<string>",
"tBReadDate": "<string>",
"followUpDate": "<string>",
"partialReason": "<string>"
}
]
}
],
"OrgId": 123,
"Parent~OrderItemId": 123,
"Passport~OrderItemId": 123,
"PersonId": 123,
"ProductId": 123,
"ReasonId": 123,
"registrationCode": "<string>",
"reviewUserIdArray": [
123
]
}
],
"PaymentId": 123,
"PersonId": 123,
"totalFee": 123
}Get Order
Retrieve a Order by ID
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The ID of the entity for this request.
5
Query Parameters
Comma-separated list of specific fields to return/append in the response. See isAdditionalData for more details.
"id,nameFirst,nameLast"
Set to true to merge requested fields with default response, or false/omit to return only requested fields plus ID.
true
Response
Order
Unique identifier.
Represents the date when a particular order was placed.
Represents the specific product or service purchased in a transaction.
Show child attributes
Show child attributes
Unique identifier for a specific transaction associated with an order.
Unique identifier for the individual who placed the order.
Represents the overall charge for an order, including all items, taxes, and additional costs.

